/*
 * lang.h - Access to language resources.
 *
 * Copyright (C) 2006 - 2008 Andreas Scherrer, www.hifidelio-user.de
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */

/**
 * \file lang.h
 * Provides access to language resources.
 */

#ifndef _LANG_H_
#define _LANG_H_

/*
 * Language resource IDs.
 */
#define LANG_RES_BUTTON_EXEC 0
#define LANG_RES_KEY_EXEC    1

/**
 * Language resource data.
 */
struct lang_resource {
	int id;        /**< Resource ID. */
	char *english; /**< English language resource. */
	char *german;  /**< German language resource. */
	char *french;  /**< French language resource. */
};

/*
 * Module functions.
 */
char *lang_get_resource(int res_id);

#endif /* !_LANG_H_ */
