/*
 * xmlutil.h - XML helper functions.
 * 
 * Copyright (C) 2006 - 2008 Andreas Scherrer, www.hifidelio-user.de
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */

/**
 * \file xmlutil.h
 * XML helper functions.
 */

#ifndef _XMLUTIL_H_
#define _XMLUTIL_H_

#include <libxml/xmlreader.h>

/*
 * Module functions.
 */
void xmlutil_error_func(void *arg, const char *msg,
		xmlParserSeverities severity, xmlTextReaderLocatorPtr locator);
int xmlutil_parse_color(char *color, unsigned long *parsed);
int xmlutil_get_current_line(xmlTextReaderPtr reader);
int xmlutil_read_attribute(xmlTextReaderPtr reader, int line,
		const xmlChar **name, const xmlChar **value);
int xmlutil_check_dir_path(char **dir_path);

#endif /* !_XMLUTIL_H_ */

